##### openrouteservice settings file #####

##### General server settings #####
server:
  port: 8080
  servlet:
    context-path: /ors
  tomcat:
    keep-alive-timeout: 30000

spring:
  profiles:
    active: default
  mvc:
    servlet:
      path: /

##### Settings related to springdoc #####
springdoc:
  swagger-ui:
    enabled: true
    path: /swagger-ui
  api-docs:
    path: /v2/api-docs

##### Logging settings #####
logging:
  file:
    name: ./logs/ors.log
  level:
    root: WARN
    org.heigit: INFO

##### openrouteservice specific settings #####
ors:
  cors:
    allowed_origins: "*"
  endpoints:
    routing:
      enabled: true
    matrix:
      enabled: false
    isochrones:
      enabled: false
    Snap:
      enabled: false

##### ORS engine settings #####
  engine:
    source_file: /home/adminspi/DatosMapas/merged.osm.pbf
    profiles:
      walking:
        enabled: true
        profile: foot-walking
        encoder_options:
          block_fords: false
        ext_storages: {}
